#include <iostream>

using namespace std;

void solve()
{
    long n, l, h;
    cin >> n >> l;
    int cnt = -1;

    for(int i = 1; i <= n; i++)
    {
        cin >> h;
        if(h <= l)
        {
            cnt = i;
            break;
        }
    }

    cout << cnt << endl;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    solve();

    return 0;
}